package com.zcloud.primeport.api;

import com.zcloud.primeport.dto.EVehicleBasicInfoAddCmd;
import com.zcloud.primeport.dto.EVehicleBasicInfoPageQry;
import com.zcloud.primeport.dto.EVehicleBasicInfoUpdateCmd;
import com.zcloud.primeport.dto.clientobject.EVehicleBasicInfoCO;

import com.alibaba.cola.dto.PageResponse;
import com.alibaba.cola.dto.SingleResponse;

import java.util.List;

/**
 * web-client
 *
 * @Author dearLin
 * @Date 2026-04-23 10:04:33
 */
public interface EVehicleBasicInfoServiceI {
    EVehicleBasicInfoCO queryById(Long id);

    PageResponse<EVehicleBasicInfoCO> listPage(EVehicleBasicInfoPageQry qry);

    SingleResponse<EVehicleBasicInfoCO> add(EVehicleBasicInfoAddCmd cmd);

    void edit(EVehicleBasicInfoUpdateCmd cmd);

    void remove(Long id);

    void removeBatch(List<Long> ids);
}

